%define anolis_release 9
Name:		perl-Sub-Name
Version:	0.26
Release:	%{anolis_release}%{?dist}
Summary:	Name - or rename - a sub
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Sub-Name
Source0:	https://cpan.metacpan.org/modules/by-module/Sub/Sub-Name-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(B)
BuildRequires:	perl(B::Deparse)
BuildRequires:	perl(Carp)
BuildRequires:	perl(feature)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(if)
BuildRequires:	perl(Test::More)
# Runtime

# Don't "provide" private perl objects
%{?perl_default_filter}

%description
This module allows one to "name" or rename subroutines, including anonymous
ones.

Note that this is mainly for aid in debugging; you still cannot call the sub
by the new name (without some deep magic).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
Buildarch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Sub-Name-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor optimize="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENCE
%{perl_vendorarch}/auto/Sub/
%{perl_vendorarch}/Sub/
%{_mandir}/man3/Sub::Name.3*

%files doc
%doc Changes CONTRIBUTING README

%changelog
* Thu Feb 2 2023 Funda Wang <fundawang@yeah.net> - 0.26-9
- Import package for anolis 23
